QGIS Application - Bug report #13472
Qgis crashes if in "options/canvas&legend" | turn on "create raster icons"
2015-09-30 10:08 PM - Piotr Kania

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21519
Description

Hi!

I'm on win 7sp1 x64, osgeo4w x64, qgis dev a7cd198 - when option "create raster icon" is active, qgis crashes and creates crash dump,
if | try to open project with rasters. If | turn off "create raster icon" in options, | can than open that project. It didn't happen with previous
qgis-dev fea4ed9.

History

#1 - 2015-10-01 08:57 AM - Saber Razmjooei
- Status changed from Open to Feedback

Can't reproduce. Could you provide example data/project?

#2 - 2015-10-01 09:24 AM - Piotr Kania

Here are all data and project:
https://www.dropbox.com/s/6349j2udo422sbt/error.7z?dI=0

#3 - 2015-10-02 02:28 AM - Saber Razmjooei

Thanks for the files.

This is likely to be due to another problem. | have loaded "only" the rasters and saved it as a new project and it works fine.

Could you try the followings:

- try to rename .qgis2 folder (so with no plugins)

- disable multi-threaded rendering

#4 - 2015-10-02 02:46 AM - Piotr Kania

Saber Razmjooei wrote:

Thanks for the files.

This is likely to be due to another problem. | have loaded "only" the rasters and saved it as a new project and it works fine.
https://www.dropbox.com/s/6349j2udo422sbt/error.7z?dl=0

Could you try the followings:
- try to rename .qgis2 folder (so with no plugins)
- disable multi-threaded rendering

| tried with that options, but qgis dev stills crashes when | open the project

#5 - 2015-10-12 10:23 AM - Saber Razmjooei

It is not possible to replicate the problem with the raster file only.

Could you confirm that is the case when you only have the attached raster in your QGIS session and no other layer?

#6 - 2015-10-12 01:32 PM - Piotr Kania
- Status changed from Feedback to Closed

If | use just a few raster layers - everything is ok, but qgis crashes if | try to open my project with a lot of layers
